> ## Documentation Index
> Fetch the complete documentation index at: https://docs.userorbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Topic Vote Info

> Get vote count and subscriber's vote status for a topic.

## Authentication

```bash theme={null}
# Optional subscriber authentication to check vote status
Authorization: Bearer YOUR_API_KEY
# Or:
Authorization: Bearer SUBSCRIBER_JWT_TOKEN
```

## Request Body

<ParamField body="id" type="string" required>
  Topic ID (UUID)
</ParamField>

## Response

<ResponseField name="data" type="object">
  Vote information

  <Expandable title="properties">
    <ResponseField name="count" type="number">Total vote count</ResponseField>
    <ResponseField name="isSubscriberVoted" type="boolean">Whether current subscriber has voted</ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request POST 'https://api.userorbit.com/v1/public/topic-votes.info' \
  --header 'Authorization: Bearer SUBSCRIBER_JWT_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
    "id": "topic-uuid-123"
  }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://api.userorbit.com/v1/public/topic-votes.info', {
    method: 'POST',
    headers: {
      'Authorization': `Bearer ${subscriberToken}`,
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({ id: topicId })
  });

  const { data } = await response.json();
  console.log(`Votes: ${data.count}, Voted: ${data.isSubscriberVoted}`);
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": {
      "count": 156,
      "isSubscriberVoted": true
    }
  }
  ```
</ResponseExample>

## Notes

* Returns `isSubscriberVoted: false` if not authenticated
* Real-time vote count
